Inability to download Ubuntu friendly software

Asked by John Licata on 2013-12-27

whenever I download a software or application, like Google Chrome for instance, immediately after the installation completes my Ubuntu software center tells me that the 'packages were damaged' and then proceeds to remove whatever I just downloaded. No matter how many times I'm herded into clicking 'repair' the application I downloaded is never able to be installed

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu software-center Edit question
Assignee:
No assignee Edit question
Solved by:
Mark Rijckenberg
Solved:
2013-12-29
Last query:
2013-12-29
Last reply:
2013-12-28

What is the output of :

sudo apt-get update; lsb_release -a

Thanks

John Licata (johnbarry4283) said : #6

ignore my previous two comments, i used the help pages on the ubuntu website, which is very effective at helping the average layman such as myself, and the output i got from
sudo apt-get update;isb_release-a
was

[sudo] password for john:
Hit http://dl.google.com stable Release.gpg
Hit http://extras.ubuntu.com precise Release.gpg
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://archive.canonical.com precise Release.gpg
Hit http://dl.google.com stable Release
Hit http://asus.archive.canonical.com precise-annan Release.gpg
Hit http://archive.ubuntu.com precise Release.gpg
Hit http://archive.ubuntu.com precise-updates Release.gpg
Hit http://extras.ubuntu.com precise Release
Hit http://security.ubuntu.com precise-security Release
Hit http://asus.archive.canonical.com precise-annan Release
Hit http://archive.canonical.com precise Release
Hit http://archive.ubuntu.com precise Release
Hit http://dl.google.com stable/main amd64 Packages
Hit http://extras.ubuntu.com precise/main Sources
Hit http://dl.google.com stable/main i386 Packages
Hit http://security.ubuntu.com precise-security/main Sources
Ign http://dl.google.com stable/main TranslationIndex
Hit http://asus.archive.canonical.com precise-annan/public Sources
Hit http://archive.ubuntu.com precise-updates Release
Hit http://archive.canonical.com precise/partner Sources
Hit http://extras.ubuntu.com precise/main amd64 Packages
Hit http://extras.ubuntu.com precise/main i386 Packages
Ign http://extras.ubuntu.com precise/main TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted Sources
Hit http://security.ubuntu.com precise-security/universe Sources
Hit http://security.ubuntu.com precise-security/main amd64 Packages
Hit http://security.ubuntu.com precise-security/restricted amd64 Packages
Hit http://security.ubuntu.com precise-security/universe amd64 Packages
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex
Hit http://asus.archive.canonical.com precise-annan/public amd64 Packages
Hit http://asus.archive.canonical.com precise-annan/public i386 Packages
Ign http://asus.archive.canonical.com precise-annan/public TranslationIndex
Hit http://archive.ubuntu.com precise/main Sources
Hit http://archive.ubuntu.com precise/restricted Sources
Hit http://archive.ubuntu.com precise/universe Sources
Hit http://archive.ubuntu.com precise/main amd64 Packages
Hit http://archive.ubuntu.com precise/restricted amd64 Packages
Hit http://archive.canonical.com precise/partner amd64 Packages
Hit http://archive.canonical.com precise/partner i386 Packages
Ign http://archive.canonical.com precise/partner TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://archive.ubuntu.com precise/universe amd64 Packages
Hit http://archive.ubuntu.com precise/main i386 Packages
Hit http://archive.ubuntu.com precise/restricted i386 Packages
Hit http://archive.ubuntu.com precise/universe i386 Packages
Hit http://archive.ubuntu.com precise/main TranslationIndex
Hit http://archive.ubuntu.com precise/restricted TranslationIndex
Hit http://archive.ubuntu.com precise/universe TranslationIndex
Hit http://archive.ubuntu.com precise-updates/main Sources
Hit http://archive.ubuntu.com precise-updates/restricted Sources
Hit http://archive.ubuntu.com precise-updates/universe Sources
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://archive.ubuntu.com precise-updates/main amd64 Packages
Hit http://archive.ubuntu.com precise-updates/restricted amd64 Packages
Hit http://archive.ubuntu.com precise-updates/universe amd64 Packages
Hit http://archive.ubuntu.com precise-updates/main i386 Packages
Hit http://archive.ubuntu.com precise-updates/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://archive.ubuntu.com precise-updates/restricted TranslationIndex
Hit http://archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://archive.ubuntu.com precise/main Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Hit http://archive.ubuntu.com precise/restricted Translation-en
Hit http://archive.ubuntu.com precise/universe Translation-en
Ign http://dl.google.com stable/main Translation-en_US
Hit http://archive.ubuntu.com precise-updates/main Translation-en
Hit http://archive.ubuntu.com precise-updates/restricted Translation-en
Hit http://archive.ubuntu.com precise-updates/universe Translation-en
Ign http://dl.google.com stable/main Translation-en
Ign http://extras.ubuntu.com precise/main Translation-en_US
Ign http://asus.archive.canonical.com precise-annan/public Translation-en_US
Ign http://archive.canonical.com precise/partner Translation-en_US
Ign http://extras.ubuntu.com precise/main Translation-en
Ign http://asus.archive.canonical.com precise-annan/public Translation-en
Ign http://archive.canonical.com precise/partner Translation-en
Reading package lists... Done
isb_release-a: command not found

John Licata (johnbarry4283) said : #7

and in response to what Mr. Rijckenberg told me to do, the output was as follows

john@Barry-WayneEnt:~$ ubuntu-support-status
Support status summary of 'Barry-WayneEnt':

You have 16 packages (1.0%) supported until October 2013 (18m)
You have 6 packages (0.4%) supported until June 2015 (18m)
You have 1545 packages (93.3%) supported until April 2017 (5y)
You have 3 packages (0.2%) supported until December 2018 (5y)

You have 16 packages (1.0%) that can not/no-longer be downloaded
You have 70 packages (4.2%) that are unsupported

Run with --show-unsupported, --show-supported or --show-all to see more details
john@Barry-WayneEnt:~$ sudo grep -R proxy /etc/apt/*
[sudo] password for john:
john@Barry-WayneEnt:~$ grep proxy /etc/environment
john@Barry-WayneEnt:~$ echo $http_proxy

john@Barry-WayneEnt:~$ echo $ftp_proxy

john@Barry-WayneEnt:~$ grep proxy /etc/bash.bashrc
john@Barry-WayneEnt:~$ grep proxy ~/.bashrc
john@Barry-WayneEnt:~$ cat /etc/apt/apt.conf
cat: /etc/apt/apt.conf: No such file or directory
john@Barry-WayneEnt:~$ sudo fuser -vvv /var/lib/dpkg/lock
john@Barry-WayneEnt:~$ sudo fuser -vvv /var/cache/apt/archives/lock
john@Barry-WayneEnt:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04.3 LTS"
john@Barry-WayneEnt:~$ uname -a
Linux Barry-WayneEnt 3.2.0-57-generic #87-Ubuntu SMP Tue Nov 12 21:35:10 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
john@Barry-WayneEnt:~$ sudo rm /var/lib/apt/lists/lock
john@Barry-WayneEnt:~$ sudo rm /var/cache/apt/archives/lock
john@Barry-WayneEnt:~$ sudo rm /var/lib/dpkg/lock
john@Barry-WayneEnt:~$ sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
john@Barry-WayneEnt:~$ sudo mv /var/lib/dpkg/status /var/lib/dpkg/status-bad
john@Barry-WayneEnt:~$ sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status || sudo cp /var/backups/apt.extended_states.0 /var/lib/dpkg/status
john@Barry-WayneEnt:~$ sudo mv /var/lib/dpkg/available /var/lib/dpkg/available-bad
john@Barry-WayneEnt:~$ sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
john@Barry-WayneEnt:~$ sudo rm -rf /var/lib/dpkg/updates/*
john@Barry-WayneEnt:~$ sudo rm -rf /var/lib/apt/lists
john@Barry-WayneEnt:~$ sudo rm /var/cache/apt/*.bin
john@Barry-WayneEnt:~$ sudo mkdir /var/lib/apt/lists
john@Barry-WayneEnt:~$ sudo mkdir /var/lib/apt/lists/partial
john@Barry-WayneEnt:~$ LANG=C;sudo apt-get clean
john@Barry-WayneEnt:~$ LANG=C;sudo apt-get autoclean
Reading package lists... Done
Building dependency tree
Reading state information... Done
john@Barry-WayneEnt:~$ LANG=C;sudo apt-get --purge autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 google-musicmanager-beta:i386 : Depends: xdg-utils:i386 (>= 1.0.2) but it is not installable
E: Unmet dependencies. Try using -f.
john@Barry-WayneEnt:~$ LANG=C;sudo apt-get --fix-missing update -o APT::Cache-Limit=100000000
Get:1 http://archive.ubuntu.com precise Release.gpg [198 B]
Get:2 http://archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:3 http://security.ubuntu.com precise-security Release.gpg [198 B]
Get:4 http://archive.ubuntu.com precise Release [49.6 kB]
Get:5 http://dl.google.com stable Release.gpg [198 B]
Get:6 http://archive.canonical.com precise Release.gpg [198 B]
Get:7 http://security.ubuntu.com precise-security Release [49.6 kB]
Get:8 http://extras.ubuntu.com precise Release.gpg [72 B]
Get:9 http://dl.google.com stable Release [1347 B]
Get:10 http://archive.canonical.com precise Release [7078 B]
Get:11 http://asus.archive.canonical.com precise-annan Release.gpg [287 B]
Get:12 http://extras.ubuntu.com precise Release [11.9 kB]
Get:13 http://dl.google.com stable/main amd64 Packages [1224 B]
Get:14 http://archive.ubuntu.com precise-updates Release [49.6 kB]
Get:15 http://security.ubuntu.com precise-security/main Sources [95.0 kB]
Get:16 http://asus.archive.canonical.com precise-annan Release [4222 B]
Get:17 http://dl.google.com stable/main i386 Packages [1210 B]
Ign http://dl.google.com stable/main TranslationIndex
Get:18 http://extras.ubuntu.com precise/main Sources [8130 B]
Get:19 http://archive.canonical.com precise/partner Sources [4872 B]
Get:20 http://asus.archive.canonical.com precise-annan/public Sources [977 B]
Get:21 http://archive.ubuntu.com precise/main Sources [934 kB]
Get:22 http://extras.ubuntu.com precise/main amd64 Packages [10.8 kB]
Get:23 http://archive.canonical.com precise/partner amd64 Packages [7883 B]
Get:24 http://asus.archive.canonical.com precise-annan/public amd64 Packages [916 B]
Get:25 http://asus.archive.canonical.com precise-annan/public i386 Packages [916 B]
Ign http://asus.archive.canonical.com precise-annan/public TranslationIndex
Get:26 http://security.ubuntu.com precise-security/restricted Sources [2494 B]
Get:27 http://security.ubuntu.com precise-security/universe Sources [29.9 kB]
Get:28 http://security.ubuntu.com precise-security/main amd64 Packages [349 kB]
Get:29 http://extras.ubuntu.com precise/main i386 Packages [10.8 kB]
Ign http://extras.ubuntu.com precise/main TranslationIndex
Get:30 http://archive.canonical.com precise/partner i386 Packages [8921 B]
Ign http://archive.canonical.com precise/partner TranslationIndex
Ign http://dl.google.com stable/main Translation-en
Get:31 http://security.ubuntu.com precise-security/restricted amd64 Packages [4627 B]
Get:32 http://security.ubuntu.com precise-security/universe amd64 Packages [86.5 kB]
Get:33 http://security.ubuntu.com precise-security/main i386 Packages [369 kB]
Ign http://asus.archive.canonical.com precise-annan/public Translation-en
Ign http://extras.ubuntu.com precise/main Translation-en
Ign http://archive.canonical.com precise/partner Translation-en
Get:34 http://security.ubuntu.com precise-security/restricted i386 Packages [4620 B]
Get:35 http://security.ubuntu.com precise-security/universe i386 Packages [90.7 kB]
Get:36 http://security.ubuntu.com precise-security/main TranslationIndex [74 B]
Get:37 http://security.ubuntu.com precise-security/restricted TranslationIndex [72 B]
Get:38 http://security.ubuntu.com precise-security/universe TranslationIndex [73 B]
Get:39 http://archive.ubuntu.com precise/restricted Sources [5470 B]
Get:40 http://archive.ubuntu.com precise/universe Sources [5019 kB]
Get:41 http://security.ubuntu.com precise-security/main Translation-en [164 kB]
Get:42 http://security.ubuntu.com precise-security/restricted Translation-en [1253 B]
Get:43 http://security.ubuntu.com precise-security/universe Translation-en [54.8 kB]
Get:44 http://archive.ubuntu.com precise/main amd64 Packages [1273 kB]
Get:45 http://archive.ubuntu.com precise/restricted amd64 Packages [8452 B]
Get:46 http://archive.ubuntu.com precise/universe amd64 Packages [4786 kB]
Get:47 http://archive.ubuntu.com precise/main i386 Packages [1274 kB]
Get:48 http://archive.ubuntu.com precise/restricted i386 Packages [8431 B]
Get:49 http://archive.ubuntu.com precise/universe i386 Packages [4796 kB]
Get:50 http://archive.ubuntu.com precise/main TranslationIndex [3706 B]
Get:51 http://archive.ubuntu.com precise/restricted TranslationIndex [2596 B]
Get:52 http://archive.ubuntu.com precise/universe TranslationIndex [2922 B]
Get:53 http://archive.ubuntu.com precise-updates/main Sources [430 kB]
Get:54 http://archive.ubuntu.com precise-updates/restricted Sources [7039 B]
Get:55 http://archive.ubuntu.com precise-updates/universe Sources [101 kB]
Get:56 http://archive.ubuntu.com precise-updates/main amd64 Packages [719 kB]
Get:57 http://archive.ubuntu.com precise-updates/restricted amd64 Packages [11.4 kB]
Get:58 http://archive.ubuntu.com precise-updates/universe amd64 Packages [226 kB]
Get:59 http://archive.ubuntu.com precise-updates/main i386 Packages [741 kB]
Get:60 http://archive.ubuntu.com precise-updates/restricted i386 Packages [11.5 kB]
Get:61 http://archive.ubuntu.com precise-updates/universe i386 Packages [230 kB]
Get:62 http://archive.ubuntu.com precise-updates/main TranslationIndex [3564 B]
Get:63 http://archive.ubuntu.com precise-updates/restricted TranslationIndex [2461 B]
Get:64 http://archive.ubuntu.com precise-updates/universe TranslationIndex [2850 B]
Get:65 http://archive.ubuntu.com precise/main Translation-en [726 kB]
Get:66 http://archive.ubuntu.com precise/restricted Translation-en [2395 B]
Get:67 http://archive.ubuntu.com precise/universe Translation-en [3341 kB]
Get:68 http://archive.ubuntu.com precise-updates/main Translation-en [325 kB]
Get:69 http://archive.ubuntu.com precise-updates/restricted Translation-en [2663 B]
Get:70 http://archive.ubuntu.com precise-updates/universe Translation-en [132 kB]
Fetched 26.6 MB in 1min 18s (339 kB/s)
Reading package lists... Done
john@Barry-WayneEnt:~$ sudo dpkg --configure -a
dpkg: dependency problems prevent configuration of google-musicmanager-beta:i386:
 google-musicmanager-beta:i386 depends on xdg-utils (>= 1.0.2).
dpkg: error processing google-musicmanager-beta:i386 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 google-musicmanager-beta:i386
john@Barry-WayneEnt:~$ sudo dpkg --clear-avail
john@Barry-WayneEnt:~$ LANG=C;sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libkrb5-3:i386 libgconf-2-4:i386 libatk1.0-0:i386 libk5crypto3:i386
  libstdc++6:i386 libxfixes3:i386 gir1.2-timezonemap-1.0
  libqt4-declarative:i386 libipc-run-perl libxcomposite1:i386 realpath
  libldap-2.4-2:i386 liblcms1:i386 libroken18-heimdal:i386 libidn11:i386
  gir1.2-ubuntuoneui-3.0 libnss3:i386 moreutils libjpeg-turbo8:i386
  libdmraid1.0.0.rc16 libdebconfclient0 libjpeg8:i386 kpartx-boot
  libqt4-script:i386 libqt4-network:i386 gir1.2-json-1.0 libqt4-dbus:i386
  libdbus-glib-1-2:i386 libio-pty-perl libasn1-8-heimdal:i386
  firefox-globalmenu libcairo2:i386 libgnutls26:i386 libgssapi3-heimdal:i386
  libtasn1-3:i386 libfreetype6:i386 user-setup libmysqlclient18:i386
  libexpat1:i386 kpartx libqt4-xmlpatterns:i386 libdatrie1:i386
  libavahi-common-data:i386 rdate libgdk-pixbuf2.0-0:i386 libxcb1:i386
  libp11-kit0:i386 libwind0-heimdal:i386 libxau6:i386 libpixman-1-0:i386
  libcups2:i386 libcurl3:i386 libqtcore4:i386 libxinerama1:i386
  libkrb5support0:i386 libxft2:i386 libdebian-installer4 libice6:i386
  libxdmcp6:i386 libgcrypt11:i386 libthai0:i386 btrfs-tools libkeyutils1:i386
  apt-clone libvorbisfile3:i386 localechooser-data libqt4-sql:i386
  libasound2:i386 libflac8:i386 libxrender1:i386 libhcrypto4-heimdal:i386
  liborc-0.4-0:i386 libnspr4:i386 libhx509-5-heimdal:i386 libqt4-xml:i386
  libxss1:i386 libheimbase1-heimdal:i386 libtiff4:i386 libjasper1:i386
  libgstreamer-plugins-base0.10-0:i386 libubuntuoneui-3.0-1 libxtst6:i386
  libqtgui4:i386 libavahi-client3:i386 thunderbird-globalmenu libx11-6:i386
  libsasl2-2:i386 libfontconfig1:i386 libpango1.0-0:i386 libsm6:i386
  libheimntlm0-heimdal:i386 archdetect-deb libxdamage1:i386 dmraid
  python-pyicu libqt4-sql-mysql:i386 libxcb-render0:i386 librtmp0:i386
  libgssapi-krb5-2:i386 libxi6:i386 libvorbis0a:i386 libqtwebkit4:i386
  libaudio2:i386 libxcursor1:i386 libxcb-shm0:i386 libxt6:i386 libxext6:i386
  libsasl2-modules:i386 libavahi-common3:i386 libxrandr2:i386 gir1.2-xkl-1.0
  libsqlite3-0:i386 libmng1:i386 libgtk2.0-0:i386 libkrb5-26-heimdal:i386
  libgpg-error0:i386 libogg0:i386
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  google-musicmanager-beta:i386
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 13.8 MB disk space will be freed.
Do you want to continue [Y/n]? ^Y
Abort.
john@Barry-WayneEnt:~$ LANG=C;sudo apt-get --fix-missing install
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 google-musicmanager-beta:i386 : Depends: xdg-utils:i386 (>= 1.0.2) but it is not installable
E: Unmet dependencies. Try using -f.
john@Barry-WayneEnt:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=100000000 && sudo apt-get dist-upgrade
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://security.ubuntu.com precise-security Release
Hit http://dl.google.com stable Release.gpg
Hit http://extras.ubuntu.com precise Release.gpg
Hit http://security.ubuntu.com precise-security/main Sources
Hit http://archive.canonical.com precise Release.gpg
Hit http://dl.google.com stable Release
Hit http://archive.ubuntu.com precise Release.gpg
Hit http://archive.ubuntu.com precise-updates Release.gpg
Hit http://extras.ubuntu.com precise Release
Hit http://security.ubuntu.com precise-security/restricted Sources
Hit http://security.ubuntu.com precise-security/universe Sources
Hit http://security.ubuntu.com precise-security/main amd64 Packages
Hit http://asus.archive.canonical.com precise-annan Release.gpg
Hit http://security.ubuntu.com precise-security/restricted amd64 Packages
Hit http://security.ubuntu.com precise-security/universe amd64 Packages
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex
Hit http://dl.google.com stable/main amd64 Packages
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://archive.canonical.com precise Release
Hit http://archive.ubuntu.com precise Release
Hit http://extras.ubuntu.com precise/main Sources
Hit http://asus.archive.canonical.com precise-annan Release
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://dl.google.com stable/main i386 Packages
Ign http://dl.google.com stable/main TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://archive.canonical.com precise/partner Sources
Hit http://archive.ubuntu.com precise-updates Release
Hit http://extras.ubuntu.com precise/main amd64 Packages
Hit http://extras.ubuntu.com precise/main i386 Packages
Ign http://extras.ubuntu.com precise/main TranslationIndex
Hit http://asus.archive.canonical.com precise-annan/public Sources
Hit http://security.ubuntu.com precise-security/universe Translation-en
Hit http://archive.canonical.com precise/partner amd64 Packages
Hit http://archive.canonical.com precise/partner i386 Packages
Ign http://archive.canonical.com precise/partner TranslationIndex
Hit http://archive.ubuntu.com precise/main Sources
Hit http://archive.ubuntu.com precise/restricted Sources
Hit http://archive.ubuntu.com precise/universe Sources
Hit http://archive.ubuntu.com precise/main amd64 Packages
Hit http://archive.ubuntu.com precise/restricted amd64 Packages
Hit http://archive.ubuntu.com precise/universe amd64 Packages
Hit http://archive.ubuntu.com precise/main i386 Packages
Hit http://archive.ubuntu.com precise/restricted i386 Packages
Hit http://archive.ubuntu.com precise/universe i386 Packages
Hit http://archive.ubuntu.com precise/main TranslationIndex
Hit http://asus.archive.canonical.com precise-annan/public amd64 Packages
Hit http://asus.archive.canonical.com precise-annan/public i386 Packages
Ign http://asus.archive.canonical.com precise-annan/public TranslationIndex
Hit http://archive.ubuntu.com precise/restricted TranslationIndex
Hit http://archive.ubuntu.com precise/universe TranslationIndex
Hit http://archive.ubuntu.com precise-updates/main Sources
Hit http://archive.ubuntu.com precise-updates/restricted Sources
Hit http://archive.ubuntu.com precise-updates/universe Sources
Hit http://archive.ubuntu.com precise-updates/main amd64 Packages
Hit http://archive.ubuntu.com precise-updates/restricted amd64 Packages
Hit http://archive.ubuntu.com precise-updates/universe amd64 Packages
Hit http://archive.ubuntu.com precise-updates/main i386 Packages
Hit http://archive.ubuntu.com precise-updates/restricted i386 Packages
Ign http://dl.google.com stable/main Translation-en
Hit http://archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://archive.ubuntu.com precise-updates/restricted TranslationIndex
Hit http://archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://archive.ubuntu.com precise/main Translation-en
Hit http://archive.ubuntu.com precise/restricted Translation-en
Hit http://archive.ubuntu.com precise/universe Translation-en
Ign http://extras.ubuntu.com precise/main Translation-en
Ign http://archive.canonical.com precise/partner Translation-en
Hit http://archive.ubuntu.com precise-updates/main Translation-en
Hit http://archive.ubuntu.com precise-updates/restricted Translation-en
Hit http://archive.ubuntu.com precise-updates/universe Translation-en
Ign http://asus.archive.canonical.com precise-annan/public Translation-en
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 google-musicmanager-beta:i386 : Depends: xdg-utils:i386 (>= 1.0.2) but it is not installable
E: Unmet dependencies. Try using -f.
john@Barry-WayneEnt:~$ find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; cat -n "$1"' _ '{}' \;

/etc/apt/sources.list

     1
     2 # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     3 # newer versions of the distribution.
     4 deb http://archive.ubuntu.com/ubuntu/ precise main restricted
     5 deb-src http://archive.ubuntu.com/ubuntu/ precise main restricted
     6
     7 ## Major bug fix updates produced after the final release of the
     8 ## distribution.
     9 deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted
    10 deb-src http://archive.ubuntu.com/ubuntu/ precise-updates main restricted
    11
    12 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    13 ## team. Also, please note that software in universe WILL NOT receive any
    14 ## review or updates from the Ubuntu security team.
    15 deb http://archive.ubuntu.com/ubuntu/ precise universe
    16 deb-src http://archive.ubuntu.com/ubuntu/ precise universe
    17 deb http://archive.ubuntu.com/ubuntu/ precise-updates universe
    18 deb-src http://archive.ubuntu.com/ubuntu/ precise-updates universe
    19
    20 ## Uncomment the following two lines to add software from the 'backports'
    21 ## repository.
    22 ## N.B. software from this repository may not have been tested as
    23 ## extensively as that contained in the main release, although it includes
    24 ## newer versions of some applications which may provide useful features.
    25 ## Also, please note that software in backports WILL NOT receive any review
    26 ## or updates from the Ubuntu security team.
    27 # deb http://archive.ubuntu.com/ubuntu/ precise-backports main restricted universe
    28 # deb-src http://archive.ubuntu.com/ubuntu/ precise-backports main restricted universe
    29
    30 deb http://security.ubuntu.com/ubuntu precise-security main restricted
    31 deb-src http://security.ubuntu.com/ubuntu precise-security main restricted
    32 deb http://security.ubuntu.com/ubuntu precise-security universe
    33 deb-src http://security.ubuntu.com/ubuntu precise-security universe
    34 # deb http://security.ubuntu.com/ubuntu precise-security multiverse
    35 # deb-src http://security.ubuntu.com/ubuntu precise-security multiverse
    36
    37 ## This software is not part of Ubuntu, but is offered by Canonical and the
    38 ## respective vendors as a service to Ubuntu users.
    39 deb http://archive.canonical.com/ubuntu precise partner
    40 deb-src http://archive.canonical.com/ubuntu precise partner
    41
    42 ## This software is not part of Ubuntu, but is offered by third-party
    43 ## developers who want to ship their latest software.
    44 deb http://extras.ubuntu.com/ubuntu precise main
    45 deb-src http://extras.ubuntu.com/ubuntu precise main
    46
    47

/etc/apt/sources.list.d/google-chrome.list

     1 ### THIS FILE IS AUTOMATICALLY CONFIGURED ###
     2 # You may comment out this entry, but any other modifications may be lost.
     3 deb http://dl.google.com/linux/chrome/deb/ stable main

/etc/apt/sources.list.d/precise-annan.list

     1 deb http://asus.archive.canonical.com/updates precise-annan public
     2 deb-src http://asus.archive.canonical.com/updates precise-annan public

The following packages have unmet dependencies: google-musicmanager-beta:i386 : Depends: xdg-utils:i386 (>= 1.0.2) but it is not installableE: Unmet dependencies. Try using -f

Is the issue. If you can find a deb or PPA for this package then the packages will be ok once again

I suspect you installed the wrong version of google-musicmanager-beta.

I think you should have installed the 64-bit version instead of the 32-bit version....

I suggest following this procedure:

Run these commands in a Terminal:

 LANG=C;sudo apt-get -f install

Do NOT abort, but press Y and enter to accept to uninstall google-musicmanager-beta

Then continue with these commands:

wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

sudo sh -c 'echo "deb http://dl.google.com/linux/musicmanager/deb/ stable main" >> /etc/apt/sources.list.d/google.list'

sudo apt-get update

sudo apt-get install google-musicmanager-beta

Source: http://www.ubuntuupdates.org/ppa/google_music

John Licata (johnbarry4283) said : #10

Thanks Mark Rijckenberg, that solved my question.